# -*- coding:utf-8 -*-
"""
@author:code37
@file:Fund_dict.py
@time:2018/4/2116:18
"""
# 用list初始一个Dict
def make_Dict(l):
    return dict(zip(l, range(len(l))))

# 重新排序
def make_Dict2(l, name, start):
    return dict(zip(l[l.index(name):], range(start, len(l))))

# 获取该项目的股票list
def searchcol(lib, name):
    l = []
    for s in lib.list_symbols():
        if name in lib.read(s).data.columns.tolist():
            l.append(s)
    return l

# 序号调整
def sub_value(dict, sub):
    d = {}
    for key, value in dict.items():
        d[key] = value - sub
    return d

BS_DICT = {'一年内到期的非流动负债': 0,
 '一年内到期的非流动资产': 1,
 '一年内的递延收益': 2,
 '一般风险准备': 3,
 '专项储备': 4,
 '专项应付款': 5,
 '买入返售金融资产': 6,
 '交易性金融负债': 7,
 '交易性金融资产': 8,
 '交易风险准备': 9,
 '代理业务负债': 10,
 '代理业务资产': 11,
 '代理买卖证券款': 12,
 '代理承销证券款': 13,
 '保户储金及投资款': 14,
 '保户质押贷款': 15,
 '公益性生物资产': 16,
 '其中:同业存放款项': 17,
 '其中:质押借款': 18,
 '其中：交易席位费': 19,
 '其中：优先股': 20,
 '其中：客户备付金': 21,
 '其中：客户资金存款': 22,
 '其他储备': 23,
 '其他应付款': 24,
 '其他应收款': 25,
 '其他权益工具': 26,
 '其他流动负债': 27,
 '其他流动资产': 28,
 '其他综合收益': 29,
 '其他负债': 30,
 '其他资产': 31,
 '其他非流动负债': 32,
 '其他非流动资产': 33,
 '减:库存股': 34,
 '减:库藏股': 34,
 '减：库存股': 34,
 '划分为持有待售的资产': 35,
 '单位': 36,
 '卖出回购金融资产款': 37,
 '发放贷款及垫款': 38,
 '可供出售金融资产': 39,
 '同业存入及拆入': 40,
 '向中央银行借款': 41,
 '商誉': 42,
 '固定资产': 43,
 '固定资产净额': 44,
 '固定资产合计': 45,
 '固定资产清理': 46,
 '在建工程': 47,
 '外币报表折算差额': 48,
 '存出保证金': 49,
 '存出资本保证金': 50,
 '存放同业款项': 51,
 '存货': 52,
 '定期存款': 53,
 '实收资本(或股本)': 54,
 '客户存款(吸收存款)': 55,
 '寿险责任准备金': 56,
 '少数股东权益': 57,
 '工程物资': 58,
 '应交税费': 59,
 '应付保单红利': 60,
 '应付债券': 61,
 '应付债券款': 62,
 '应付分保账款': 63,
 '应付利息': 64,
 '应付手续费及佣金': 65,
 '应付短期债券': 66,
 '应付短期融资款': 67,
 '应付票据': 68,
 '应付职工薪酬': 69,
 '应付股利': 70,
 '应付账款': 71,
 '应付赔付款': 72,
 '应收保费': 73,
 '应收分保寿险责任准备金': 74,
 '应收分保未决赔款准备金': 75,
 '应收分保未到期责任准备金': 76,
 '应收分保账款': 77,
 '应收分保长期健康险责任准备金': 78,
 '应收利息': 79,
 '应收投资款项': 80,
 '应收款项类投资': 81,
 '应收票据': 82,
 '应收股利': 83,
 '应收账款': 84,
 '开发支出': 85,
 '归属于母公司所有者权益合计': 86,
 '归属于母公司的股东权益合计': 86,
 '归属于母公司股东权益合计': 86,
 '归属于母公司股东的权益': 86,
 '待处理流动资产损益': 87,
 '待摊费用': 88,
 '所有者权益': 89,
 '所有者权益(或股东权益)合计': 90,
 '所有者权益合计': 90,
 '投资性房地产': 91,
 '拆入资金': 92,
 '拆出资金': 93,
 '持有至到期投资': 94,
 '无形资产': 95,
 '未决赔款准备金': 96,
 '未分配利润': 97,
 '未到期责任准备金': 98,
 '油气资产': 99,
 '流动负债': 100,
 '流动负债合计': 101,
 '流动资产': 102,
 '流动资产合计': 103,
 '独立账户负债': 104,
 '独立账户资产': 105,
 '现金及存放中央银行款项': 106,
 '生产性生物资产': 107,
 '盈余公积': 108,
 '盈余公积金金': 108,
 '短期借款': 109,
 '结算备付金': 110,
 '股东权益合计': 90,
 '股本': 111,
 '融出资金': 112,
 '衍生金融工具负债': 113,
 '衍生金融工具资产': 114,
 '衍生金融负债': 113,
 '衍生金融资产': 114,
 '负债': 115,
 '负债及股东权益总计': 116,
 '负债合计': 117,
 '负债和所有者权益(或股东权益)总计': 116,
 '货币资金': 118,
 '贵金属': 119,
 '资产': 120,
 '资产总计': 121,
 '资本公积': 122,
 '资本公积金': 122,
 '递延所得税负债': 124,
 '递延所得税资产': 125,
 '递延税款借项': 126,
 '长期借款': 127,
 '长期健康险责任准备金': 128,
 '长期应付款': 129,
 '长期应付职工薪酬': 130,
 '长期应收款': 131,
 '长期待摊费用': 132,
 '长期股权投资': 133,
 '长期递延收益': 134,
 '非流动负债': 135,
 '非流动负债合计': 136,
 '非流动资产': 137,
 '非流动资产合计': 138,
 '预付款项': 139,
 '预提费用': 140,
 '预收保费': 141,
 '预收款项': 142,
 '预收账款': 142,
 '预计负债': 143,
 '预计非流动负债': 144}


IS_DICT = {'一、营业总收入': 0,
 '一、营业收入': 0,
 '七、其他综合收益': 1,
 '三、营业利润': 2,
 '业务及管理费用': 3,
 '二、营业总成本': 4,
 '二、营业支出': 5,
 '五、净利润': 6,
 '代理买卖证券业务净收入': 7,
 '保户红利支出': 8,
 '保费业务收入': 9,
 '八、综合收益总额': 10,
 '公允价值变动净收益': 11,
 '公允价值变动损益': 11,
 '公允价值变动收益': 11,
 '六、每股收益': 12,
 '其中:分保费收入': 13,
 '其中:利息收入': 14,
 '其中:对联营企业和合营企业的投资损失': 15,
 '其中:对联营企业和合营企业的投资收益': 15,
 '其中:对联营公司的投资收益': 15,
 '其中:手续费及佣金收入': 16,
 '其中：利息收入': 17,
 '其中：非流动资产处置损失': 18,
 '其他业务成本': 19,
 '其他业务支出': 19,
 '其他业务收入': 20,
 '减:分出保费': 21,
 '减:所得税': 22,
 '减:所得税费用': 22,
 '减:摊回保险责任准备金': 23,
 '减:摊回分保费用': 24,
 '减:摊回赔付支出': 25,
 '减:营业外支出': 26,
 '减：利息支出': 27,
 '减：所得税费用': 22,
 '减：手续费及佣金支出': 28,
 '减：营业外支出': 26,
 '分保费用': 29,
 '利息净收入': 30,
 '利息支出': 27,
 '加:营业外收入': 31,
 '单位': 32,
 '受托客户资产管理业务净收入': 33,
 '四、利润总额': 34,
 '基本每股收益(元/股)': 35,
 '少数股东损益': 36,
 '少数股东权益': 37,
 '已赚保费': 38,
 '归属于少数股东的综合收益总额': 39,
 '归属于母公司所有者的净利润': 40,
 '归属于母公司所有者的综合收益总额': 41,
 '归属于母公司的净利润': 40,
 '归属于母公司股东的净利润': 40,
 '手续费及佣金净收入': 42,
 '手续费及佣金支出': 43,
 '投资净收益': 44,
 '投资收益': 45,
 '提取保险责任准备金': 46,
 '提取未到期责任准备金': 47,
 '汇兑损益': 48,
 '汇兑收益': 49,
 '稀释每股收益(元/股)': 50,
 '管理费用': 51,
 '营业成本': 52,
 '营业收入': 53,
 '营业税金及附加': 54,
 '证券承销业务净收入': 55,
 '财务费用': 56,
 '资产减值损失': 57,
 '赔付支出': 58,
 '退保金': 59,
 '销售费用': 60}

CF_DICT = {'一、经营活动产生的现金流量': 0,
 '一年内到期的可转换公司债券': 1,
 '三、筹资活动产生的现金流量': 2,
 '二、投资活动产生的现金流量': 3,
 '五、现金及现金等价物净增加额': 4,
 '以固定资产偿还债务': 5,
 '以固定资产进行投资': 6,
 '以投资偿还债务': 7,
 '保户储金净增加额': 8,
 '保户储金及投资款的增加': 9,
 '债务转为资本': 10,
 '偿还债务所支付的现金': 11,
 '偿还债务支付的现金': 11,
 '公允价值变动(收益)/损失': 12,
 '公允价值变动损失': 12,
 '公允价值变动损失(收益)': 12,
 '六、期末现金及现金等价物余额': 13,
 '其中:偿付利息所支付的现金': 14,
 '其中:无形资产摊销': 15,
 '其中:递延所得税资产的减少(增加)': 16,
 '其中：子公司吸收少数股东投资收到的现金': 17,
 '其中：子公司支付给少数股东的股利、利润': 18,
 '其中：计提的坏账准备': 19,
 '其他': 20,
 '其他不涉及现金收支的投资和筹资活动金额': 21,
 '冲回存放同业减值准备': 22,
 '净利润': 23,
 '减:现金的期初余额': 24,
 '减:现金等价物的期初余额': 25,
 '减：现金等价物的期初余额': 25,
 '分配股利、利润或偿付利息所支付的现金': 26,
 '分配股利、利润或偿付利息支付的现金': 26,
 '利息支出': 27,
 '利息收入': 28,
 '加:少数股东损益': 29,
 '加:少数股东收益': 29,
 '加:期初现金及现金等价物余额': 30,
 '加:现金等价物的期末余额': 31,
 '加:计提(转回)资产减值准备': 32,
 '单位': 33,
 '发行债券收到的现金': 34,
 '发行证券化资产所吸收的现金': 35,
 '取得借款收到的现金': 36,
 '取得子公司及其他营业单位所收到的现金净额': 37,
 '取得子公司及其他营业单位支付的现金净额': 38,
 '取得投资收益所收到的现金': 39,
 '取得投资收益收到的现金': 39,
 '各种金融负债的增加': 40,
 '向其他金融机构拆入资金净增加额': 41,
 '向央行借款净增加额': 42,
 '吸收投资所收到的现金': 43,
 '吸收投资收到的现金': 43,
 '四、汇率变动对现金及现金等价物的影响': 44,
 '回购业务资金净增加额': 45,
 '固定资产折旧、油气资产折耗、生产性物资折旧': 46,
 '固定资产折旧、油气资产折耗、生产性生物资产折旧': 46,
'固定资产报废损失': 47,
 '增加股本所收到的现金': 48,
 '处置交易性金融资产净增加额': 49,
 '处置可供出售金融资产净增加额': 50,
 '处置固定资产、无形资产及其他资产而收到的现金': 51,
 '处置固定资产、无形资产及其他长期资产收回的现金净额': 52,
 '处置固定资产、无形资产和其他长期产的损失/(收益)': 53,
 '处置固定资产、无形资产和其他长期资产所收回的现金净额': 52,
 '处置固定资产、无形资产和其他长期资产收回的现金净额': 52,
 '处置固定资产、无形资产和其他长期资产的损失': 53,
 '处置固定资产、无形资产和其他长期资产的损失(收益)': 53,
 '处置子公司及其他营业单位收到的现金': 54,
 '处置子公司及其他营业单位收到的现金净额': 55,
 '处置投资性房地产的损失/(收益)': 56,
 '处置投资性房地产的收益': 57,
 '存放中央银行和同业款项净增加额': 58,
 '存款的增加': 59,
 '存货的减少': 60,
 '客户存款和同业存放款项净增加额': 61,
 '客户贷款及垫款净增加额': 62,
 '少数股东以所持子公司股权置换为其对本公司的股权': 63,
 '少数股东权益': 64,
 '已完工尚未结算款的减少(减:增加)': 65,
 '已结算尚未完工款的增加(减:减少)': 66,
 '待摊费用减少(减:增加)': 67,
 '待摊费用的减少': 68,
 '投资性房地产折旧': 69,
 '投资所支付的现金': 70,
 '投资损失': 71,
 '投资损失(减:收益)': 72,
 '投资支付的现金': 73,
 '投资收益': 74,
 '投资活动产生的现金流量净额': 75,
 '投资活动现金流入小计': 76,
 '投资活动现金流出小计': 77,
 '折现回拔(减值资产利息冲转)': 78,
 '拆借款项的净增': 79,
 '拆入资金净增加额': 80,
 '提取的各项保险责任准备金净额': 81,
 '提取的未到期的责任准备金': 82,
 '支付保单红利的现金': 83,
 '支付其他与投资活动有关的现金': 84,
 '支付其他与筹资活动有关的现金': 85,
 '支付其他与经营活动有关的现金': 86,
 '支付利息、手续费及佣金的现金': 87,
 '支付原保险合同赔付款项的现金': 88,
 '支付手续费的现金': 89,
 '支付新股发行费用': 90,
 '支付的其他与投资活动有关的现金': 91,
 '支付的其他与筹资活动有关的现金': 92,
 '支付的其他与经营活动有关的现金': 93,
 '支付的各项税费': 94,
 '支付给职工以及为职工支付的现金': 95,
 '收到其他与投资活动有关的现金': 96,
 '收到其他与筹资活动有关的现金': 97,
 '收到其他与经营活动有关的现金': 98,
 '收到再保业务现金净额': 99,
 '收到原保险合同保费取得的现金': 100,
 '收到已核销款项': 101,
 '收到的其他与投资活动有关的现金': 102,
 '收到的其他与经营活动有关的现金': 103,
 '收到的税费返还': 104,
 '收取利息、手续费及佣金的现金': 105,
 '收回投资所收到的现金': 106,
 '收回投资收到的现金': 107,
 '无形资产、递延资产及其他资产摊销': 108,
 '无形资产、递延资产及其他资产的摊销': 109,
 '无形资产摊销': 110,
 '未确认的投资损失': 111,
 '汇兑损失(收益)': 112,
 '汇兑损益': 113,
 '汇兑损益/(损失)': 114,
 '现金及现金等价物净增加/(减少)额': 115,
 '现金及现金等价物净增加额': 116,
 '现金及现金等价物的净增加额': 117,
 '现金的期初余额': 118,
 '现金的期末余额': 119,
 '现金等价物的期初余额': 120,
 '现金等价物的期末余额': 121,
 '筹资活动产生的现金流量净额': 122,
 '筹资活动现金流入小计': 123,
 '筹资活动现金流出小计': 124,
 '经营性其他负债的增加': 125,
 '经营性其他资产的减少': 126,
 '经营性应付项目的增加': 127,
 '经营性应付项目的增加(减少)': 128,
 '经营性应收项目的减少': 129,
 '经营性应收项目的减少(增加)': 130,
 '经营性应收项目的增加': 131,
 '经营活动产生现金流量净额': 132,
 '经营活动产生的现金流量净额': 133,
 '经营活动产生的现金流量净额<附表>': 132,
 '经营活动现金流入小计': 135,
 '经营活动现金流出小计': 136,
 '经营活动现金流量净额': 137,
 '联营企业以资产抵偿其对本公司的债务': 138,
 '自动垫缴保费收入': 139,
 '融资租入固定资产': 140,
 '衍生金融工具交易净损益': 141,
 '计提的贷款损失准备': 142,
 '计提的资产减值准备': 143,
 '计提的预计负债': 144,
 '财务费用': 145,
 '质押贷款净增加额': 146,
 '购买商品、接受劳务支付的现金': 147,
 '购买子公司及其他营业单位支付的现金净额': 148,
 '购建固定资产、无形资产和其他长期资产所支付的现金': 149,
 '购建固定资产、无形资产和其他长期资产支付的现金': 150,
 '贷款的减少': 151,
 '资产减值准备': 152,
 '递延所得税负债增加': 153,
 '递延所得税负债的减少(增加)': 154,
 '递延所得税负债的增加': 155,
 '递延所得税费用': 156,
 '递延所得税资产减少': 157,
 '递延所得税资产的减少': 158,
 '递延收益增加（减：减少）': 159,
 '金融性资产的减少': 160,
 '金融负债的增加': 161,
 '金融资产的减少': 162,
 '销售商品、提供劳务收到的现金': 163,
 '长期待摊费用摊销': 164,
 '长期资产摊销': 165,
 '附注': 166,
 '预提费用增加': 167,
 '预提费用的增加': 168,
 '预计负债': 169,
 '预计负债的增加': 170,
 '风险准备金支出': 171
 }



CF_LIST = {0: '一、经营活动产生的现金流量',
 1: '一年内到期的可转换公司债券',
 2: '三、筹资活动产生的现金流量',
 3: '二、投资活动产生的现金流量',
 4: '五、现金及现金等价物净增加额',
 5: '以固定资产偿还债务',
 6: '以固定资产进行投资',
 7: '以投资偿还债务',
 8: '保户储金净增加额',
 9: '保户储金及投资款的增加',
 10: '债务转为资本',
 11: '偿还债务所支付的现金',
 12: '偿还债务支付的现金',
 13: '公允价值变动(收益)/损失',
 14: '公允价值变动损失',
 15: '公允价值变动损失(收益)',
 16: '六、期末现金及现金等价物余额',
 17: '其中:偿付利息所支付的现金',
 18: '其中:无形资产摊销',
 19: '其中:递延所得税资产的减少(增加)',
 20: '其中：子公司吸收少数股东投资收到的现金',
 21: '其中：子公司支付给少数股东的股利、利润',
 22: '其中：计提的坏账准备',
 23: '其他',
 24: '其他不涉及现金收支的投资和筹资活动金额',
 25: '冲回存放同业减值准备',
 26: '净利润',
 27: '减:现金的期初余额',
 28: '减:现金等价物的期初余额',
 29: '减：现金等价物的期初余额',
 30: '分配股利、利润或偿付利息所支付的现金',
 31: '分配股利、利润或偿付利息支付的现金',
 32: '利息支出',
 33: '利息收入',
 34: '加:少数股东损益',
 35: '加:少数股东收益',
 36: '加:期初现金及现金等价物余额',
 37: '加:现金等价物的期末余额',
 38: '加:计提(转回)资产减值准备',
 39: '单位',
 40: '发行债券收到的现金',
 41: '发行证券化资产所吸收的现金',
 42: '取得借款收到的现金',
 43: '取得子公司及其他营业单位所收到的现金净额',
 44: '取得子公司及其他营业单位支付的现金净额',
 45: '取得投资收益所收到的现金',
 46: '取得投资收益收到的现金',
 47: '各种金融负债的增加',
 48: '向其他金融机构拆入资金净增加额',
 49: '向央行借款净增加额',
 50: '吸收投资所收到的现金',
 51: '吸收投资收到的现金',
 52: '四、汇率变动对现金及现金等价物的影响',
 53: '回购业务资金净增加额',
 54: '固定资产折旧、油气资产折耗、生产性物资折旧',
 55: '固定资产折旧、油气资产折耗、生产性生物资产折旧',
 56: '固定资产报废损失',
 57: '增加股本所收到的现金',
 58: '处置交易性金融资产净增加额',
 59: '处置可供出售金融资产净增加额',
 60: '处置固定资产、无形资产及其他资产而收到的现金',
 61: '处置固定资产、无形资产及其他长期资产收回的现金净额',
 62: '处置固定资产、无形资产和其他长期产的损失/(收益)',
 63: '处置固定资产、无形资产和其他长期资产所收回的现金净额',
 64: '处置固定资产、无形资产和其他长期资产收回的现金净额',
 65: '处置固定资产、无形资产和其他长期资产的损失',
 66: '处置固定资产、无形资产和其他长期资产的损失(收益)',
 67: '处置子公司及其他营业单位收到的现金',
 68: '处置子公司及其他营业单位收到的现金净额',
 69: '处置投资性房地产的损失/(收益)',
 70: '处置投资性房地产的收益',
 71: '存放中央银行和同业款项净增加额',
 72: '存款的增加',
 73: '存货的减少',
 74: '客户存款和同业存放款项净增加额',
 75: '客户贷款及垫款净增加额',
 76: '少数股东以所持子公司股权置换为其对本公司的股权',
 77: '少数股东权益',
 78: '已完工尚未结算款的减少(减:增加)',
 79: '已结算尚未完工款的增加(减:减少)',
 80: '待摊费用减少(减:增加)',
 81: '待摊费用的减少',
 82: '投资性房地产折旧',
 83: '投资所支付的现金',
 84: '投资损失',
 85: '投资损失(减:收益)',
 86: '投资支付的现金',
 87: '投资收益',
 88: '投资活动产生的现金流量净额',
 89: '投资活动现金流入小计',
 90: '投资活动现金流出小计',
 91: '折现回拔(减值资产利息冲转)',
 92: '拆借款项的净增',
 93: '拆入资金净增加额',
 94: '提取的各项保险责任准备金净额',
 95: '提取的未到期的责任准备金',
 96: '支付保单红利的现金',
 97: '支付其他与投资活动有关的现金',
 98: '支付其他与筹资活动有关的现金',
 99: '支付其他与经营活动有关的现金',
 100: '支付利息、手续费及佣金的现金',
 101: '支付原保险合同赔付款项的现金',
 102: '支付手续费的现金',
 103: '支付新股发行费用',
 104: '支付的其他与投资活动有关的现金',
 105: '支付的其他与筹资活动有关的现金',
 106: '支付的其他与经营活动有关的现金',
 107: '支付的各项税费',
 108: '支付给职工以及为职工支付的现金',
 109: '收到其他与投资活动有关的现金',
 110: '收到其他与筹资活动有关的现金',
 111: '收到其他与经营活动有关的现金',
 112: '收到再保业务现金净额',
 113: '收到原保险合同保费取得的现金',
 114: '收到已核销款项',
 115: '收到的其他与投资活动有关的现金',
 116: '收到的其他与经营活动有关的现金',
 117: '收到的税费返还',
 118: '收取利息、手续费及佣金的现金',
 119: '收回投资所收到的现金',
 120: '收回投资收到的现金',
 121: '无形资产、递延资产及其他资产摊销',
 122: '无形资产、递延资产及其他资产的摊销',
 123: '无形资产摊销',
 124: '未确认的投资损失',
 125: '汇兑损失(收益)',
 126: '汇兑损益',
 127: '汇兑损益/(损失)',
 128: '现金及现金等价物净增加/(减少)额',
 129: '现金及现金等价物净增加额',
 130: '现金及现金等价物的净增加额',
 131: '现金的期初余额',
 132: '现金的期末余额',
 133: '现金等价物的期初余额',
 134: '现金等价物的期末余额',
 135: '筹资活动产生的现金流量净额',
 136: '筹资活动现金流入小计',
 137: '筹资活动现金流出小计',
 138: '经营性其他负债的增加',
 139: '经营性其他资产的减少',
 140: '经营性应付项目的增加',
 141: '经营性应付项目的增加(减少)',
 142: '经营性应收项目的减少',
 143: '经营性应收项目的减少(增加)',
 144: '经营性应收项目的增加',
 145: '经营活动产生现金流量净额',
 146: '经营活动产生的现金流量净额',
 147: '经营活动产生的现金流量净额<附表>',
 148: '经营活动现金流入小计',
 149: '经营活动现金流出小计',
 150: '经营活动现金流量净额',
 151: '联营企业以资产抵偿其对本公司的债务',
 152: '自动垫缴保费收入',
 153: '融资租入固定资产',
 154: '衍生金融工具交易净损益',
 155: '计提的贷款损失准备',
 156: '计提的资产减值准备',
 157: '计提的预计负债',
 158: '财务费用',
 159: '质押贷款净增加额',
 160: '购买商品、接受劳务支付的现金',
 161: '购买子公司及其他营业单位支付的现金净额',
 162: '购建固定资产、无形资产和其他长期资产所支付的现金',
 163: '购建固定资产、无形资产和其他长期资产支付的现金',
 164: '贷款的减少',
 165: '资产减值准备',
 166: '递延所得税负债增加',
 167: '递延所得税负债的减少(增加)',
 168: '递延所得税负债的增加',
 169: '递延所得税费用',
 170: '递延所得税资产减少',
 171: '递延所得税资产的减少',
 172: '递延收益增加（减：减少）',
 173: '金融性资产的减少',
 174: '金融负债的增加',
 175: '金融资产的减少',
 176: '销售商品、提供劳务收到的现金',
 177: '长期待摊费用摊销',
 178: '长期资产摊销',
 179: '附注',
 180: '预提费用增加',
 181: '预提费用的增加',
 182: '预计负债',
 183: '预计负债的增加',
 184: '风险准备金支出'}


BS_LIST = ['一年内到期的非流动负债',
 '一年内到期的非流动资产',
 '一年内的递延收益',
 '一般风险准备',
 '专项储备',
 '专项应付款',
 '买入返售金融资产',
 '交易性金融负债',
 '交易性金融资产',
 '交易风险准备',
 '代理业务负债',
 '代理业务资产',
 '代理买卖证券款',
 '代理承销证券款',
 '保户储金及投资款',
 '保户质押贷款',
 '公益性生物资产',
 '其中:同业存放款项',
 '其中:质押借款',
 '其中：交易席位费',
 '其中：优先股',
 '其中：客户备付金',
 '其中：客户资金存款',
 '其他储备',
 '其他应付款',
 '其他应收款',
 '其他权益工具',
 '其他流动负债',
 '其他流动资产',
 '其他综合收益',
 '其他负债',
 '其他资产',
 '其他非流动负债',
 '其他非流动资产',
 '减:库存股',
 '减:库藏股',
 '减：库存股',
 '划分为持有待售的资产',
 '单位',
 '卖出回购金融资产款',
 '发放贷款及垫款',
 '可供出售金融资产',
 '同业存入及拆入',
 '向中央银行借款',
 '商誉',
 '固定资产',
 '固定资产净额',
 '固定资产合计',
 '固定资产清理',
 '在建工程',
 '外币报表折算差额',
 '存出保证金',
 '存出资本保证金',
 '存放同业款项',
 '存货',
 '定期存款',
 '实收资本(或股本)',
 '客户存款(吸收存款)',
 '寿险责任准备金',
 '少数股东权益',
 '工程物资',
 '应交税费',
 '应付保单红利',
 '应付债券',
 '应付债券款',
 '应付分保账款',
 '应付利息',
 '应付手续费及佣金',
 '应付短期债券',
 '应付短期融资款',
 '应付票据',
 '应付职工薪酬',
 '应付股利',
 '应付账款',
 '应付赔付款',
 '应收保费',
 '应收分保寿险责任准备金',
 '应收分保未决赔款准备金',
 '应收分保未到期责任准备金',
 '应收分保账款',
 '应收分保长期健康险责任准备金',
 '应收利息',
 '应收投资款项',
 '应收款项类投资',
 '应收票据',
 '应收股利',
 '应收账款',
 '开发支出',
 '归属于母公司所有者权益合计',
 '归属于母公司的股东权益合计',
 '归属于母公司股东权益合计',
 '归属于母公司股东的权益',
 '待处理流动资产损益',
 '待摊费用',
 '所有者权益',
 '所有者权益(或股东权益)合计',
 '所有者权益合计',
 '投资性房地产',
 '拆入资金',
 '拆出资金',
 '持有至到期投资',
 '无形资产',
 '未决赔款准备金',
 '未分配利润',
 '未到期责任准备金',
 '油气资产',
 '流动负债',
 '流动负债合计',
 '流动资产',
 '流动资产合计',
 '独立账户负债',
 '独立账户资产',
 '现金及存放中央银行款项',
 '生产性生物资产',
 '盈余公积',
 '盈余公积金金',
 '短期借款',
 '结算备付金',
 '股东权益合计',
 '股本',
 '融出资金',
 '衍生金融工具负债',
 '衍生金融工具资产',
 '衍生金融负债',
 '衍生金融资产',
 '负债',
 '负债及股东权益总计',
 '负债合计',
 '负债和所有者权益(或股东权益)总计',
 '货币资金',
 '贵金属',
 '资产',
 '资产总计',
 '资本公积',
 '资本公积金',
 '递延所得税负债',
 '递延所得税资产',
 '递延税款借项',
 '长期借款',
 '长期健康险责任准备金',
 '长期应付款',
 '长期应付职工薪酬',
 '长期应收款',
 '长期待摊费用',
 '长期股权投资',
 '长期递延收益',
 '非流动负债',
 '非流动负债合计',
 '非流动资产',
 '非流动资产合计',
 '预付款项',
 '预提费用',
 '预收保费',
 '预收款项',
 '预收账款',
 '预计负债',
 '预计非流动负债']

IS_LIST = ['一、营业总收入',
 '一、营业收入',
 '七、其他综合收益',
 '三、营业利润',
 '业务及管理费用',
 '二、营业总成本',
 '二、营业支出',
 '五、净利润',
 '代理买卖证券业务净收入',
 '保户红利支出',
 '保费业务收入',
 '八、综合收益总额',
 '公允价值变动净收益',
 '公允价值变动损益',
 '公允价值变动收益',
 '六、每股收益',
 '其中:分保费收入',
 '其中:利息收入',
 '其中:对联营企业和合营企业的投资损失',
 '其中:对联营企业和合营企业的投资收益',
 '其中:对联营公司的投资收益',
 '其中:手续费及佣金收入',
 '其中：利息收入',
 '其中：非流动资产处置损失',
 '其他业务成本',
 '其他业务支出',
 '其他业务收入',
 '减:分出保费',
 '减:所得税',
 '减:所得税费用',
 '减:摊回保险责任准备金',
 '减:摊回分保费用',
 '减:摊回赔付支出',
 '减:营业外支出',
 '减：利息支出',
 '减：所得税费用',
 '减：手续费及佣金支出',
 '减：营业外支出',
 '分保费用',
 '利息净收入',
 '利息支出',
 '加:营业外收入',
 '单位',
 '受托客户资产管理业务净收入',
 '四、利润总额',
 '基本每股收益(元/股)',
 '少数股东损益',
 '少数股东权益',
 '已赚保费',
 '归属于少数股东的综合收益总额',
 '归属于母公司所有者的净利润',
 '归属于母公司所有者的综合收益总额',
 '归属于母公司的净利润',
 '归属于母公司股东的净利润',
 '手续费及佣金净收入',
 '手续费及佣金支出',
 '投资净收益',
 '投资收益',
 '提取保险责任准备金',
 '提取未到期责任准备金',
 '汇兑损益',
 '汇兑收益',
 '稀释每股收益(元/股)',
 '管理费用',
 '营业成本',
 '营业收入',
 '营业税金及附加',
 '证券承销业务净收入',
 '财务费用',
 '资产减值损失',
 '赔付支出',
 '退保金',
 '销售费用']

CF_LIST = ['一、经营活动产生的现金流量',
 '一年内到期的可转换公司债券',
 '三、筹资活动产生的现金流量',
 '二、投资活动产生的现金流量',
 '五、现金及现金等价物净增加额',
 '以固定资产偿还债务',
 '以固定资产进行投资',
 '以投资偿还债务',
 '保户储金净增加额',
 '保户储金及投资款的增加',
 '债务转为资本',
 '偿还债务所支付的现金',
 '偿还债务支付的现金',
 '公允价值变动(收益)/损失',
 '公允价值变动损失',
 '公允价值变动损失(收益)',
 '六、期末现金及现金等价物余额',
 '其中:偿付利息所支付的现金',
 '其中:无形资产摊销',
 '其中:递延所得税资产的减少(增加)',
 '其中：子公司吸收少数股东投资收到的现金',
 '其中：子公司支付给少数股东的股利、利润',
 '其中：计提的坏账准备',
 '其他',
 '其他不涉及现金收支的投资和筹资活动金额',
 '冲回存放同业减值准备',
 '净利润',
 '减:现金的期初余额',
 '减:现金等价物的期初余额',
 '减：现金等价物的期初余额',
 '分配股利、利润或偿付利息所支付的现金',
 '分配股利、利润或偿付利息支付的现金',
 '利息支出',
 '利息收入',
 '加:少数股东损益',
 '加:少数股东收益',
 '加:期初现金及现金等价物余额',
 '加:现金等价物的期末余额',
 '加:计提(转回)资产减值准备',
 '单位',
 '发行债券收到的现金',
 '发行证券化资产所吸收的现金',
 '取得借款收到的现金',
 '取得子公司及其他营业单位所收到的现金净额',
 '取得子公司及其他营业单位支付的现金净额',
 '取得投资收益所收到的现金',
 '取得投资收益收到的现金',
 '各种金融负债的增加',
 '向其他金融机构拆入资金净增加额',
 '向央行借款净增加额',
 '吸收投资所收到的现金',
 '吸收投资收到的现金',
 '四、汇率变动对现金及现金等价物的影响',
 '回购业务资金净增加额',
 '固定资产折旧、油气资产折耗、生产性物资折旧',
 '固定资产折旧、油气资产折耗、生产性生物资产折旧',
 '固定资产报废损失',
 '增加股本所收到的现金',
 '处置交易性金融资产净增加额',
 '处置可供出售金融资产净增加额',
 '处置固定资产、无形资产及其他资产而收到的现金',
 '处置固定资产、无形资产及其他长期资产收回的现金净额',
 '处置固定资产、无形资产和其他长期产的损失/(收益)',
 '处置固定资产、无形资产和其他长期资产所收回的现金净额',
 '处置固定资产、无形资产和其他长期资产收回的现金净额',
 '处置固定资产、无形资产和其他长期资产的损失',
 '处置固定资产、无形资产和其他长期资产的损失(收益)',
 '处置子公司及其他营业单位收到的现金',
 '处置子公司及其他营业单位收到的现金净额',
 '处置投资性房地产的损失/(收益)',
 '处置投资性房地产的收益',
 '存放中央银行和同业款项净增加额',
 '存款的增加',
 '存货的减少',
 '客户存款和同业存放款项净增加额',
 '客户贷款及垫款净增加额',
 '少数股东以所持子公司股权置换为其对本公司的股权',
 '少数股东权益',
 '已完工尚未结算款的减少(减:增加)',
 '已结算尚未完工款的增加(减:减少)',
 '待摊费用减少(减:增加)',
 '待摊费用的减少',
 '投资性房地产折旧',
 '投资所支付的现金',
 '投资损失',
 '投资损失(减:收益)',
 '投资支付的现金',
 '投资收益',
 '投资活动产生的现金流量净额',
 '投资活动现金流入小计',
 '投资活动现金流出小计',
 '折现回拔(减值资产利息冲转)',
 '拆借款项的净增',
 '拆入资金净增加额',
 '提取的各项保险责任准备金净额',
 '提取的未到期的责任准备金',
 '支付保单红利的现金',
 '支付其他与投资活动有关的现金',
 '支付其他与筹资活动有关的现金',
 '支付其他与经营活动有关的现金',
 '支付利息、手续费及佣金的现金',
 '支付原保险合同赔付款项的现金',
 '支付手续费的现金',
 '支付新股发行费用',
 '支付的其他与投资活动有关的现金',
 '支付的其他与筹资活动有关的现金',
 '支付的其他与经营活动有关的现金',
 '支付的各项税费',
 '支付给职工以及为职工支付的现金',
 '收到其他与投资活动有关的现金',
 '收到其他与筹资活动有关的现金',
 '收到其他与经营活动有关的现金',
 '收到再保业务现金净额',
 '收到原保险合同保费取得的现金',
 '收到已核销款项',
 '收到的其他与投资活动有关的现金',
 '收到的其他与经营活动有关的现金',
 '收到的税费返还',
 '收取利息、手续费及佣金的现金',
 '收回投资所收到的现金',
 '收回投资收到的现金',
 '无形资产、递延资产及其他资产摊销',
 '无形资产、递延资产及其他资产的摊销',
 '无形资产摊销',
 '未确认的投资损失',
 '汇兑损失(收益)',
 '汇兑损益',
 '汇兑损益/(损失)',
 '现金及现金等价物净增加/(减少)额',
 '现金及现金等价物净增加额',
 '现金及现金等价物的净增加额',
 '现金的期初余额',
 '现金的期末余额',
 '现金等价物的期初余额',
 '现金等价物的期末余额',
 '筹资活动产生的现金流量净额',
 '筹资活动现金流入小计',
 '筹资活动现金流出小计',
 '经营性其他负债的增加',
 '经营性其他资产的减少',
 '经营性应付项目的增加',
 '经营性应付项目的增加(减少)',
 '经营性应收项目的减少',
 '经营性应收项目的减少(增加)',
 '经营性应收项目的增加',
 '经营活动产生现金流量净额',
 '经营活动产生的现金流量净额',
 '经营活动产生的现金流量净额<附表>',
 '经营活动现金流入小计',
 '经营活动现金流出小计',
 '经营活动现金流量净额',
 '联营企业以资产抵偿其对本公司的债务',
 '自动垫缴保费收入',
 '融资租入固定资产',
 '衍生金融工具交易净损益',
 '计提的贷款损失准备',
 '计提的资产减值准备',
 '计提的预计负债',
 '财务费用',
 '质押贷款净增加额',
 '购买商品、接受劳务支付的现金',
 '购买子公司及其他营业单位支付的现金净额',
 '购建固定资产、无形资产和其他长期资产所支付的现金',
 '购建固定资产、无形资产和其他长期资产支付的现金',
 '贷款的减少',
 '资产减值准备',
 '递延所得税负债增加',
 '递延所得税负债的减少(增加)',
 '递延所得税负债的增加',
 '递延所得税费用',
 '递延所得税资产减少',
 '递延所得税资产的减少',
 '递延收益增加（减：减少）',
 '金融性资产的减少',
 '金融负债的增加',
 '金融资产的减少',
 '销售商品、提供劳务收到的现金',
 '长期待摊费用摊销',
 '长期资产摊销',
 '附注',
 '预提费用增加',
 '预提费用的增加',
 '预计负债',
 '预计负债的增加',
 '风险准备金支出']
